Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eu.osci.helper
Class LetterStyleHelper

    java.lang.Object
      eu.osci.helper.LetterStyleHelper

    public class LetterStyleHelper

extends java.lang.Object

Helper class for LetterSytle creation.
Copyright © 2010 Freie Hansestadt Bremen.
Created by bremen online services Entwicklungs- und Betriebsgesellschaft mbH & Co. KG.
This library (Starter Kit) can be used by anybody according to the Bremer Lizenz für freie Softwarebibliotheken. The license terms can be viewed at www.osci.de or can be ordered at the OSCI-Leitstelle (Die Senatorin für Finanzen, Freie Hansestadt Bremen, Postfach 10 15 40, 28015 Bremen).

Field Summary
`static javax.xml.namespace.QName` | `QNAME_LETTER_STYLE` Now we have to define the URI for the LetterStyle.

Constructor Summary
`LetterStyleHelper()`

Method Summary
`static org.w3c.dom.Document` | `getDocumentFromLetterStyle(eu.osci._2008._05.common.urn.messagetypes.letterstyle.LetterStyleMessageType _content)` Creates a DOM document including the given LetterStyleMessageType object.
`static eu.osci._2008._05.common.urn.messagetypes.letterstyle.LetterStyleMessageType` | `getLetterStyle(java.lang.String _subject, java.lang.String _data)` Creates a simple LetterStyle structure with the given parameter.
`static void` | `getStreamFromLetterStyle(eu.osci._2008._05.common.urn.messagetypes.letterstyle.LetterStyleMessageType _content, java.io.OutputStream returnStream)` Writes the LetterStyleMessageType JAXB object to the given OutputStream.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QNAME_LETTER_STYLE

    public static final javax.xml.namespace.QName QNAME_LETTER_STYLE

  Now we have to define the URI for the LetterStyle.

Constructor Detail

### LetterStyleHelper

    public LetterStyleHelper()

Method Detail

### getDocumentFromLetterStyle

    public static org.w3c.dom.Document getDocumentFromLetterStyle(eu.osci._2008._05.common.urn.messagetypes.letterstyle.LetterStyleMessageType _content)
                                                           throws javax.xml.bind.JAXBException,
                                                                  javax.xml.parsers.ParserConfigurationException

  Creates a DOM document including the given LetterStyleMessageType object.

  Parameters:
    `_content` - LetterSytle object.
  Returns:
    The DOM document.
  Throws:
    `javax.xml.parsers.ParserConfigurationException`
    `javax.xml.bind.JAXBException`
    `javax.xml.parsers.ParserConfigurationException`

### getStreamFromLetterStyle

    public static void getStreamFromLetterStyle(eu.osci._2008._05.common.urn.messagetypes.letterstyle.LetterStyleMessageType _content,
                                                java.io.OutputStream returnStream)
                                         throws javax.xml.bind.JAXBException

  Writes the LetterStyleMessageType JAXB object to the given OutputStream.

  Parameters:
    `_content` - The LetterStyle object.
    `returnStream` - The OutputStream to write the response.
  Throws:
    `javax.xml.bind.JAXBException`

### getLetterStyle

    public static eu.osci._2008._05.common.urn.messagetypes.letterstyle.LetterStyleMessageType getLetterStyle(java.lang.String _subject,
                                                                                                              java.lang.String _data)

  Creates a simple LetterStyle structure with the given parameter.

  Parameters:
    `_subject` - The subject of the LetterStyle structure
    `_data` - The XML data of the LetterStyle structure
  Returns:
    The created LetterStyle JaxB object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ### OSCI2-StarterKit
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Freie Hansestadt Bremen.